
QGIS Application - Feature request #5604

Add a "select all classes" button in vector style tab

2012-05-15 10:36 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: No Copied to github as #: 15177

Description

Sometimes in categorised and graduated symbology the number of classes is HUGE and if a user needs to change a property of all the

classes at the same time, then selecting all them can be annoying. A "select all classes" button would be very useful.

History

#1 - 2012-10-06 02:19 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2012-11-14 05:24 AM - Leyan Ouyang

It is already possible to select everything by using Ctrl-A, a pretty standard shortcut. I think a button for this purpose would be too much, maybe add this in

the right click menu if the shortcut is not enough ?

#3 - 2012-11-14 05:27 AM - Giovanni Manghi

right click would be fine (common users are not used to use shortcuts), but in any case it would be necessary to document this feature, if not already.

#4 - 2014-06-20 09:45 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

ctrl-a is good enough.
